namespace SWRIS.Models.ViewModel
{
    public class FourRopesViewModel : RopeViewBaseModel
    {
        private EquipmentDataModel firstEquipmentData;
        private EquipmentDataModel secondEquipmentData;
        private EquipmentDataModel thirdEquipmentData;
        private EquipmentDataModel fourthEquipmentData;
 
        public EquipmentModel FirstEquipment { get; set; }
        public EquipmentModel SecondEquipment { get; set; }
        public EquipmentModel ThirdEquipment { get; set; }
        public EquipmentModel FourthEquipment { get; set; }

        public EquipmentDataModel FirstEquipmentData
        {
            get => firstEquipmentData;
            set
            {
                if (firstEquipmentData != value)
                {
                    firstEquipmentData = value;
                    OnPropertyChanged(nameof(FirstEquipmentData));
                }
            }
        }
        public EquipmentDataModel SecondEquipmentData
        {
            get => secondEquipmentData;
            set
            {
                if (secondEquipmentData != value)
                {
                    secondEquipmentData = value;
                    OnPropertyChanged(nameof(SecondEquipmentData));
                }
            }
        }
        public EquipmentDataModel ThirdEquipmentData
        {
            get => thirdEquipmentData;
            set
            {
                if (thirdEquipmentData != value)
                {
                    thirdEquipmentData = value;
                    OnPropertyChanged(nameof(ThirdEquipmentData));
                }
            }
        }
        public EquipmentDataModel FourthEquipmentData
        {
            get => fourthEquipmentData;
            set
            {
                if (fourthEquipmentData != value)
                {
                    fourthEquipmentData = value;
                    OnPropertyChanged(nameof(FourthEquipmentData));
                }
            }
        }
        
    }
}
